org.eclipse.graphiti.platform.ga

## Class RendererContext

- java.lang.Object
- - org.eclipse.graphiti.platform.ga.RendererContext

All Implemented Interfaces:
  IDiagramTypeProviderHolder, IGraphicsAlgorithmHolder, IRendererContext

    public class RendererContext
    extends Object
    implements IRendererContext

The Class RendererContext.

### Constructor Summary

Constructors
Constructor and Description
`RendererContext(PlatformGraphicsAlgorithm pga, IDiagramTypeProvider dtp)` Creates a new `RendererContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`IDiagramTypeProvider` `getDiagramTypeProvider()` Gets the diagram type provider.
`GraphicsAlgorithm` `getGraphicsAlgorithm()` Returns the graphics algorithm.
`IMappingProvider` `getMappingProvider()` Gets the mapping provider.
`PlatformGraphicsAlgorithm` `getPlatformGraphicsAlgorithm()` Gets the platform graphics algorithm.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RendererContext

    public RendererContext(PlatformGraphicsAlgorithm pga,
                           IDiagramTypeProvider dtp)

Creates a new `RendererContext`.

Parameters:
  `pga` - the platform graphics algorithm
  `dtp` - the diagram type provider

### Method Detail

#### getMappingProvider

    public IMappingProvider getMappingProvider()

Description copied from interface: `IRendererContext`
Gets the mapping provider.

Specified by:
  `getMappingProvider` in interface `IRendererContext`
Returns:
  the mapping provider

#### getPlatformGraphicsAlgorithm

    public PlatformGraphicsAlgorithm getPlatformGraphicsAlgorithm()

Description copied from interface: `IRendererContext`
Gets the platform graphics algorithm.

Specified by:
  `getPlatformGraphicsAlgorithm` in interface `IRendererContext`
Returns:
  the platform graphics algorithm

#### getDiagramTypeProvider

    public IDiagramTypeProvider getDiagramTypeProvider()

Description copied from interface: `IDiagramTypeProviderHolder`
Gets the diagram type provider.

Specified by:
  `getDiagramTypeProvider` in interface `IDiagramTypeProviderHolder`
Returns:
  the diagram type provider

#### getGraphicsAlgorithm

    public GraphicsAlgorithm getGraphicsAlgorithm()

Description copied from interface: `IGraphicsAlgorithmHolder`
Returns the graphics algorithm.

Specified by:
  `getGraphicsAlgorithm` in interface `IGraphicsAlgorithmHolder`
Returns:
  the graphics algorithm